Index: branches/eli_branch/lib/Auth_SQL.inc.php
===================================================================
--- branches/eli_branch/lib/Auth_SQL.inc.php	(revision 438)
+++ branches/eli_branch/lib/Auth_SQL.inc.php	(revision 439)
@@ -41,12 +41,12 @@
         
     // Namespace of this auth object.
-    var $_ns;
+    private $_ns;
     
     // Static var for test.
-    var $_authentication_tested;
+    private $_authentication_tested;
 
     // Parameters to be configured by setParam.
-    var $_params = array();
-    var $_default_params = array(
+    private $_params = array();
+    private $_default_params = array(
 
         // Automatically create table and verify columns. Better set to false after site launch.
@@ -127,5 +127,5 @@
      * @param optional array $params  A hash containing parameters.
      */
-    function Auth_SQL($namespace='')
+    public function __construct($namespace='')
     {
 		$app =& App::getInstance();
@@ -153,5 +153,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -253,5 +253,5 @@
      * @return bool true on success, false on failure
      */
-    function setParam($params)
+    public function setParam($params)
     {
         if (isset($params['match_remote_ip_exempt_usernames'])) {
@@ -274,5 +274,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -291,5 +291,5 @@
      * @access public
      */
-    function clear()
+    public function clear()
     {
 		$db =& DB::getInstance();
@@ -326,5 +326,5 @@
      * @param mixed $val      Value to set variable to.
      */
-    function set($key, $val)
+    public function set($key, $val)
     {
         if (!isset($_SESSION['_auth_sql'][$this->_ns]['user_data'])) {
@@ -342,5 +342,5 @@
      * @return mixed          Value stored in session.
      */
-    function get($key, $default='')
+    public function get($key, $default='')
     {
         if (isset($_SESSION['_auth_sql'][$this->_ns][$key])) {
@@ -361,5 +361,5 @@
      * @return mixed  False if credentials not found in DB, or returns DB row matching credentials.
      */
-    function authenticate($username, $password)
+    public function authenticate($username, $password)
     {
 		$app =& App::getInstance();
@@ -412,5 +412,5 @@
      * @return boolean  Whether or not the credentials are valid.
      */
-    function login($username, $password)
+    public function login($username, $password)
     {
 		$app =& App::getInstance();
@@ -534,5 +534,5 @@
      * @access public
      */
-    function isLoggedIn($user_id=null)
+    public function isLoggedIn($user_id=null)
     {
 		$app =& App::getInstance();
@@ -668,5 +668,5 @@
      * @access public
      */
-    function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
+    public function requireLogin($message='', $type=MSG_NOTICE, $file=null, $line=null)
     {
 		$app =& App::getInstance();
@@ -690,5 +690,5 @@
      * @param  string   $reason      The reason for blocking the account.
      */
-    function blockAccount($user_id=null, $reason='')
+    public function blockAccount($user_id=null, $reason='')
     {
 		$app =& App::getInstance();
@@ -720,5 +720,5 @@
      * @return boolean              True if the user is blocked, false otherwise.
      */
-    function isBlocked($user_id=null)
+    public function isBlocked($user_id=null)
     {
     	$db =& DB::getInstance();
@@ -742,5 +742,5 @@
      * Unblocks a user in the db_table, and clears any blocked_reason.
      */
-    function unblockAccount($user_id=null)
+    public function unblockAccount($user_id=null)
     {
 		$db =& DB::getInstance();
@@ -766,5 +766,5 @@
      * @return bool                 True if username exists.
      */
-    function usernameExists($username)
+    public function usernameExists($username)
     {
 		$db =& DB::getInstance();
@@ -786,5 +786,5 @@
      * @return string               Username, or false if none found.
      */
-    function getUsername($user_id)
+    public function getUsername($user_id)
     {
 		$db =& DB::getInstance();
@@ -820,5 +820,5 @@
      * @return string           a password
      */
-    function generatePassword($pattern='CvcdCvc')
+    public function generatePassword($pattern='CvcdCvc')
     {
         $app =& App::getInstance();
@@ -843,5 +843,5 @@
      *
      */
-    function encryptPassword($password, $salt=null)
+    public function encryptPassword($password, $salt=null)
     {
         $app =& App::getInstance();
@@ -898,5 +898,5 @@
      *
      */
-    function setPassword($user_id=null, $password)
+    public function setPassword($user_id=null, $password)
     {
 		$app =& App::getInstance();
@@ -948,5 +948,5 @@
      * @return string            The user's new password.
      */
-    function resetPassword($user_id=null, $reason='')
+    public function resetPassword($user_id=null, $reason='')
     {
 		$app =& App::getInstance();
@@ -1013,5 +1013,5 @@
      * @return bool     true if user is a member of security zone, false otherwise
      */
-    function inClearanceZone($security_zone, $user_type='')
+    public function inClearanceZone($security_zone, $user_type='')
     {
         // return true; /// WTF?
@@ -1036,5 +1036,5 @@
      * @param  constant $security_zone   string of comma delimited privileges for the zone
      */
-    function requireAccessClearance($security_zone, $message='')
+    public function requireAccessClearance($security_zone, $message='')
     {
 		$app =& App::getInstance();
@@ -1094,3 +1094,2 @@
 // 128.0.0.0        10000000.00000000.00000000.00000000  /1
 // 0.0.0.0          00000000.00000000.00000000.00000000  /0   IP space
-?>
Index: branches/eli_branch/lib/AuthorizeNet.inc.php
===================================================================
--- branches/eli_branch/lib/AuthorizeNet.inc.php	(revision 438)
+++ branches/eli_branch/lib/AuthorizeNet.inc.php	(revision 439)
@@ -61,8 +61,8 @@
 class AuthorizeNet {
 
-    var $post_url = ''; // The URL to post data to.
-    var $_results = array();
-    var $_params = array();
-    var $_default_params = array(
+    public $post_url = ''; // The URL to post data to.
+    private $_results = array();
+    private $_params = array();
+    private $_default_params = array(
         'x_version'         => '3.1',
         'x_relay_response'  => 'FALSE',
@@ -80,5 +80,5 @@
 
     // Array of response names. Used in the results array.
-    var $_result_fields = Array(
+    private $_result_fields = Array(
         'x_response_code',
         'x_response_subcode',
@@ -129,5 +129,5 @@
      * @param optional array $_params  A hash containing parameters.
      */
-    function AuthorizeNet($params = array())
+    public function __construct($params = array())
     {
         $app =& App::getInstance();
@@ -153,5 +153,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -172,5 +172,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -192,5 +192,5 @@
      * @return mixed      False or x_response_code: false = error, 1 = accepted, 2 = declined, 3 = error
      */
-    function process()
+    public function process()
     {
 		$app =& App::getInstance();
@@ -245,5 +245,5 @@
      * @return array             Returns the results array.
      */
-    function getResult($key=null)
+    public function getResult($key=null)
     {
         if (isset($key)) {
@@ -265,5 +265,5 @@
      * @return bool             True if the hash is valid, false otherwise.
      */
-    function validMD5Hash()
+    public function validMD5Hash()
     {
         return (
@@ -282,5 +282,5 @@
      * @access public
      */
-    function reset()
+    public function reset()
     {
         $this->_results = Array();
@@ -297,5 +297,5 @@
      * @return integer      Transaction result code.
      */
-    function _processResult($result)
+    private function _processResult($result)
     {
         $this->_results = Array();
Index: branches/eli_branch/lib/CSS.inc.php
===================================================================
--- branches/eli_branch/lib/CSS.inc.php	(revision 438)
+++ branches/eli_branch/lib/CSS.inc.php	(revision 439)
@@ -32,8 +32,8 @@
 
     // Include these style sheets.
-    var $_css_files = array('default' => array());
+    private $_css_files = array('default' => array());
 
     // CSS object parameters.
-    var $_params = array(
+    private $_params = array(
         'character_set' => 'utf-8',
         'cache_css' => false,
@@ -48,5 +48,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -67,5 +67,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -87,5 +87,5 @@
      * @return  bool    True on success, false on failure.
      */
-    function setFile($file, $realms='')
+    public function setFile($file, $realms='')
     {
 		$app =& App::getInstance();
@@ -115,5 +115,5 @@
      * @return  bool    False if no files have been set.
      */
-    function headers($realm='')
+    public function headers($realm='')
     {
 		$app =& App::getInstance();
@@ -157,5 +157,5 @@
      * @return  bool    False if no files have been set.
      */
-    function output($realm='')
+    public function output($realm='')
     {
         $realm = '' == $realm ? 'default' : $realm;
@@ -181,3 +181,2 @@
     }
 }
-?>
Index: branches/eli_branch/lib/Cache.inc.php
===================================================================
--- branches/eli_branch/lib/Cache.inc.php	(revision 438)
+++ branches/eli_branch/lib/Cache.inc.php	(revision 439)
@@ -38,8 +38,8 @@
 
     // Namespace of this instance of Prefs.
-    var $_ns;
+    private $_ns;
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
         
         // If false nothing will be cached or retrieved. Useful for testing realtime data requests.
@@ -65,5 +65,5 @@
     * @since    05 Jun 2006 23:14:21
     */
-    function Cache($namespace='')
+    function __construct($namespace='')
     {
         $app =& App::getInstance();
@@ -88,5 +88,5 @@
      * @static
      */
-    static function &getInstance($namespace='')
+    public static function &getInstance($namespace='')
     {
         static $instances = array();
@@ -105,5 +105,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -124,5 +124,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -148,5 +148,5 @@
      * @return bool             True on success, false otherwise.
      */
-    function set($key, $var, $flags=0)
+    public function set($key, $var, $flags=0)
     {
 		$app =& App::getInstance();
@@ -197,5 +197,5 @@
      * @return mixed          The requested datum, or false on failure.
      */
-    function get($key)
+    public function get($key)
     {
         $app =& App::getInstance();
@@ -226,5 +226,5 @@
      * @return bool         True if a value exists for the given key.
      */
-    function exists($key)
+    public function exists($key)
     {
         $app =& App::getInstance();
@@ -244,5 +244,5 @@
      * @return bool         True if the value existed before being unset.
      */
-    function delete($key)
+    public function delete($key)
     {
         if (array_key_exists($key, $_SESSION['_cache'][$this->_ns])) {
@@ -262,5 +262,5 @@
     * @since    05 Jun 2006 23:51:34
     */
-    function clear()
+    public function clear()
     {
         $_SESSION['_cache'][$this->_ns] = array();
Index: branches/eli_branch/lib/Captcha.inc.php
===================================================================
--- branches/eli_branch/lib/Captcha.inc.php	(revision 438)
+++ branches/eli_branch/lib/Captcha.inc.php	(revision 439)
@@ -54,7 +54,7 @@
 class Captcha {
 
-    var $secret_key = 'some random seed text for the md5';
-    var $random_number;
-    var $ascii_numbers = array(
+    public $secret_key = 'some random seed text for the md5';
+    public $random_number;
+    public $ascii_numbers = array(
         array(
             '  #####   ',
@@ -147,5 +147,5 @@
      * @since   20 Jan 2006 13:08:22
      */
-    function Captcha()
+    public function __construct()
     {
 		$app =& App::getInstance();
@@ -164,5 +164,5 @@
      * @since   07 Dec 2005 21:59:25
      */
-    function getAsciiNumber($num=null)
+    public function getAsciiNumber($num=null)
     {
 		$app =& App::getInstance();
@@ -200,5 +200,5 @@
      * @since   07 Dec 2005 22:09:04
      */
-    function printAsciiNumber()
+    public function printAsciiNumber()
     {
         $ascii = $this->getAsciiNumber($this->random_number);
@@ -213,5 +213,5 @@
      * @since   07 Dec 2005 22:09:04
      */
-    function printForm()
+    public function printForm()
     {
         $hash = $this->_getMD5key($this->random_number);
@@ -231,5 +231,5 @@
      * @since   07 Dec 2005 22:19:33
      */
-    function valid()
+    public function valid()
     {
         $number = getFormData('sc-captcha-input');
@@ -251,5 +251,5 @@
      * @since   07 Dec 2005 21:40:25
      */
-    function _getRandomNumber()
+    public function _getRandomNumber()
     {
         return mb_substr(strval(rand(10000, 99999)), 0, rand(3, 5));
@@ -265,5 +265,5 @@
      * @since   07 Dec 2005 21:53:35
      */
-    function _getMD5key($input)
+    public function _getMD5key($input)
     {
         return md5($this->secret_key . $input);
@@ -272,3 +272,2 @@
 }
 
-?>
Index: branches/eli_branch/lib/Cart.inc.php
===================================================================
--- branches/eli_branch/lib/Cart.inc.php	(revision 438)
+++ branches/eli_branch/lib/Cart.inc.php	(revision 439)
@@ -71,8 +71,8 @@
 
     // Namespace of this instance.
-    var $_ns;
+    private $_ns;
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
     );
 
@@ -80,5 +80,5 @@
      * Cart constructor.
      */
-    function Cart($namespace='')
+    public function __construct($namespace='')
     {
 		$app =& App::getInstance();
@@ -97,5 +97,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -112,5 +112,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -137,5 +137,5 @@
     * @since    11 Mar 2008 18:59:37
     */
-    function add($item_id, $price, $quantity=1, $specs=array())
+    public function add($item_id, $price, $quantity=1, $specs=array())
     {
         $app =& App::getInstance();
@@ -166,5 +166,5 @@
     * @since    10 May 2008 16:42:25
     */
-    function setQty($item_id, $quantity)
+    public function setQty($item_id, $quantity)
     {
         if ($quantity <= 0) {
@@ -195,5 +195,5 @@
     * @since    10 May 2008 16:42:25
     */
-    function setPrice($item_id, $price)
+    public function setPrice($item_id, $price)
     {
         if (isset($_SESSION['_cart'][$this->_ns]['items'][$item_id])) {
@@ -218,5 +218,5 @@
     * @since    11 Mar 2008 18:59:48
     */
-    function remove($item_id)
+    public function remove($item_id)
     {
         $app =& App::getInstance();
@@ -242,5 +242,5 @@
     * @since    11 Mar 2008 18:59:55
     */
-    function get($item_id, $spec_key)
+    public function get($item_id, $spec_key)
     {
         if (isset($_SESSION['_cart'][$this->_ns]['items'][$item_id][$spec_key])) {
@@ -259,5 +259,5 @@
     * @since    11 Mar 2008 18:59:55
     */
-    function getList()
+    public function getList()
     {
         return $_SESSION['_cart'][$this->_ns]['items'];
@@ -277,5 +277,5 @@
     * @since    11 Mar 2008 19:00:12
     */
-    function sum($key='extended_price')
+    public function sum($key='extended_price')
     {
 		$sum = 0;
@@ -306,5 +306,5 @@
      * as $auth->clear(), such as when logging out.
      */
-    function clear()
+    public function clear()
     {
         $_SESSION['_cart'][$this->_ns] = array(
@@ -313,5 +313,2 @@
     }
 }
-
-
-?>
Index: branches/eli_branch/lib/Currency.inc.php
===================================================================
--- branches/eli_branch/lib/Currency.inc.php	(revision 438)
+++ branches/eli_branch/lib/Currency.inc.php	(revision 439)
@@ -41,5 +41,5 @@
 
     // Configuration parameters for this object.
-    var $_params = array(
+    private $_params = array(
         'cache_result' => true,
         'cache_dir' => '',
@@ -52,5 +52,5 @@
      * Cart constructor.
      */
-    function Currency($params=array())
+    public function __construct($params=array())
     {
 		$app =& App::getInstance();
@@ -79,5 +79,5 @@
      * @param  array $params   Array of param keys and values to set.
      */
-    function setParam($params=null)
+    public function setParam($params=null)
     {
         if (isset($params) && is_array($params)) {
@@ -94,5 +94,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -118,5 +118,5 @@
     * @since    05 May 2008 23:50:59
     */
-    function getValue($amount, $base, $target)
+    public function getValue($amount, $base, $target)
     {
         if (false !== $rate = $this->getRate($base, $target)) {
@@ -138,5 +138,5 @@
     * @since    25 May 2011 01:26:24
     */
-    function getRate($base, $target)
+    public function getRate($base, $target)
     {
         $app =& App::getInstance();
@@ -180,5 +180,5 @@
      * @access private
      */
-    function _performAPICall($parameters=null)
+    private function _performAPICall($parameters=null)
     {
         $app =& App::getInstance();
Index: branches/eli_branch/lib/DB.inc.php
===================================================================
--- branches/eli_branch/lib/DB.inc.php	(revision 438)
+++ branches/eli_branch/lib/DB.inc.php	(revision 439)
@@ -33,17 +33,17 @@
 
     // If $db->connect has successfully opened a db connection.
-    var $_connected = false;
+    private $_connected = false;
 
     // Database handle.
-    var $dbh;
+    public $dbh;
     
     // Count how many queries run during the whole instance.
-    var $_query_count = 0;
+    private $_query_count = 0;
 
     // Hash of DB parameters.
-    var $_params = array();
+    private $_params = array();
 
     // Default parameters.
-    var $_param_defaults = array(
+    private $_param_defaults = array(
 
         // DB passwords should be set as apache environment variables in httpd.conf, readable only by root.
@@ -64,5 +64,5 @@
 
     // Translate between HTML and MySQL character set names.
-    var $mysql_character_sets = array(
+    public $mysql_character_sets = array(
         'utf-8' => 'utf8',
         'iso-8859-1' => 'latin1',
@@ -70,6 +70,6 @@
 
     // Caches.
-    var $existing_tables;
-    var $table_columns;
+    public $existing_tables;
+    public $table_columns;
 
     /**
@@ -80,5 +80,5 @@
      * @static
      */
-    static function &getInstance()
+    public static function &getInstance()
     {
         static $instance = null;
@@ -98,5 +98,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -117,5 +117,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -136,5 +136,5 @@
      * @since   28 Aug 2005 14:02:49
      */
-    function connect()
+    public function connect()
     {
 		$app =& App::getInstance();
@@ -185,5 +185,5 @@
      * @since   28 Aug 2005 14:32:01
      */
-    function close()
+    public function close()
     {
         if (!$this->_connected) {
@@ -204,5 +204,5 @@
     * @since    03 Jul 2013 14:50:23
     */
-    function reconnect()
+    public function reconnect()
     {
         $this->close();
@@ -221,5 +221,5 @@
     * @since    15 Jan 2007 15:59:00
     */
-    function _fail()
+    private function _fail()
     {
         if ($this->getParam('db_die_on_failure')) {
@@ -240,5 +240,5 @@
      * @since   20 Aug 2005 13:50:36
      */
-    function getDBH()
+    public function getDBH()
     {
         if (!$this->_connected) {
@@ -256,5 +256,5 @@
      * @since   28 Aug 2005 14:58:09
      */
-    function isConnected()
+    public function isConnected()
     {
         return (true === $this->_connected);
@@ -270,5 +270,5 @@
      * @since   06 Mar 2006 16:41:32
      */
-    function escapeString($string)
+    public function escapeString($string)
     {
         if (!$this->_connected) {
@@ -287,5 +287,5 @@
      * @return resource         Query identifier
      */
-    function query($query, $debug=false)
+    public function query($query, $debug=false)
     {    
         $app =& App::getInstance();
@@ -336,5 +336,5 @@
      * @return bool                         true if given $table exists.
      */
-    function tableExists($table, $use_cached_results=true)
+    public function tableExists($table, $use_cached_results=true)
     {
 		$app =& App::getInstance();
@@ -368,5 +368,5 @@
      * @return bool                         true if column(s) exist.
      */
-    function columnExists($table, $columns, $strict=true, $use_cached_results=true)
+    public function columnExists($table, $columns, $strict=true, $use_cached_results=true)
     {
         if (!$this->_connected) {
@@ -416,5 +416,5 @@
     * @since    15 Jun 2006 11:46:05
     */
-    function numQueries()
+    public function numQueries()
     {
         return $this->_query_count;
@@ -428,5 +428,5 @@
      * @since   28 Aug 2005 22:10:50
      */
-    function resetCache()
+    public function resetCache()
     {
         $this->existing_tables = null;
Index: branches/eli_branch/lib/DBSessionHandler.inc.php
===================================================================
--- branches/eli_branch/lib/DBSessionHandler.inc.php	(revision 438)
+++ branches/eli_branch/lib/DBSessionHandler.inc.php	(revision 439)
@@ -32,7 +32,7 @@
 class DBSessionHandler {
 
-    var $db; // DB object.
+    public $db; // DB object.
 
-    var $_params = array(
+    private $_params = array(
         'db_table' => 'session_tbl',
 
@@ -51,5 +51,5 @@
      * @since   18 Jul 2005 11:02:50
      */
-    function DBSessionHandler($db, $params=array())
+    public function __construct($db, $params=array())
     {
 		$app =& App::getInstance();
@@ -94,5 +94,5 @@
      * @since   26 Aug 2005 17:09:36
      */
-    function initDB($recreate_db=false)
+    public function initDB($recreate_db=false)
     {
 		$app =& App::getInstance();
@@ -121,15 +121,15 @@
     }
 
-    function dbSessionOpen($save_path, $sess_name)
+    public function dbSessionOpen($save_path, $sess_name)
     {
         return true;
     }
 
-    function dbSessionClose()
+    public function dbSessionClose()
     {        
         return true;
     }
 
-    function dbSessionRead($session_id)
+    public function dbSessionRead($session_id)
     {
         // Select the data belonging to session $session_id from the session table
@@ -146,5 +146,5 @@
     }
 
-    function dbSessionWrite($session_id, $session_data)
+    public function dbSessionWrite($session_id, $session_data)
     {
         // Write the serialized session data ($session_data) to the session table
@@ -154,5 +154,5 @@
     }
 
-    function dbSessionDestroy($session_id)
+    public function dbSessionDestroy($session_id)
     {
         // Delete from the table all data for the session $session_id
@@ -162,5 +162,5 @@
     }
 
-    function dbSessionGarbage($max_lifetime=72000)
+    public function dbSessionGarbage($max_lifetime=72000)
     {
         // Delete old values from the session table.
Index: branches/eli_branch/lib/Email.inc.php
===================================================================
--- branches/eli_branch/lib/Email.inc.php	(revision 438)
+++ branches/eli_branch/lib/Email.inc.php	(revision 439)
@@ -55,5 +55,5 @@
 
     // Default parameters, to be overwritten by setParam() and read with getParam()
-    var $_params = array(
+    private $_params = array(
         'to' => null,
         'from' => null,
@@ -73,8 +73,8 @@
 
     // String that contains the email body.
-    var $_template;
+    private $_template;
 
     // String that contains the email body after replacements.
-    var $_template_replaced;
+    private $_template_replaced;
 
     /**
@@ -86,5 +86,5 @@
      * @since   28 Nov 2005 12:59:41
      */
-    function Email($params=null)
+    public function __construct($params=null)
     {
         // The regex used in validEmail(). Set here instead of in the default _params above so we can use the concatenation . dot.
@@ -117,5 +117,5 @@
      * @param  array    $params     Array of parameters (key => val pairs).
      */
-    function setParam($params)
+    public function setParam($params)
     {
 		$app =& App::getInstance();
@@ -144,5 +144,5 @@
      * @return mixed               Configured parameter value.
      */
-    function getParam($param)
+    public function getParam($param)
     {
 		$app =& App::getInstance();
@@ -164,5 +164,5 @@
      * @since   28 Nov 2005 12:56:23
      */
-    function setTemplate($template)
+    public function setTemplate($template)
     {
 		$app =& App::getInstance();
@@ -188,5 +188,5 @@
      * @since   28 Nov 2005 12:56:23
      */
-    function setString($string)
+    public function setString($string)
     {
 		$app =& App::getInstance();
@@ -212,5 +212,5 @@
      * @since   28 Nov 2005 13:08:51
      */
-    function replace($replacements)
+    public function replace($replacements)
     {
 		$app =& App::getInstance();
@@ -249,5 +249,5 @@
      * @since   28 Nov 2005 12:56:09
      */
-    function send($to=null, $from=null, $subject=null, $headers=null)
+    public function send($to=null, $from=null, $subject=null, $headers=null)
     {
 		$app =& App::getInstance();
@@ -363,5 +363,5 @@
      * @since   30 Nov 2005 22:00:50
      */
-    function validEmail($email)
+    public function validEmail($email)
     {
 		$app =& App::getInstance();
